VTUND(8)

NAME
vtund - VTun(Virtual Tunnel) daemon.

SYNOPSIS
vtund < -s > [ -i ] [ -n ] [ -f file ] [ -P port ]

vtund [ -f file ] [ -P port ] [ -p ] [ -m ] [ -t timeout ] [ -n ] < session > < server address >

DESCRIPTION

VTun provides the method for creating Virtual Tunnels over TCP/IP networks and allows to shape, compress, encrypt traffic in that tunnels.

Supported type of tunnels are: PPP, IP, Ethernet and most of other serial protocols and programs.

VTun is easily and highly configurable, it can be used for various network task like VPN, Mobile IP, Shaped Internet access, IP address saving, etc.

It is completely user space implementation and does not require modification to any kernel parts.

OPTIONS

-f file
    Read config information from the file (full path required). By default vtund uses /etc/vtund.conf

-n  Do not become daemon.

  Server mode:

-s  Run as the server.

-i  Run as the inetd server.

-P port
    Listen for connection on the specified port By default vtund listens on TCP port 5000. This options is equivalent to the 'port' option of config file.

  Client mode:

-P port
    Connect to the server on the specified port By default vtund connects to TCP port 5000. This options is equivalent to the 'port' option of config file.

-p  Reconnect to the server after connection termination. By default vtund will exit if connection has been terminated. This options is equivalent to the 'persist' option of config file.

-m  Force memory pages to be locked memory-resident to prevent potential VM deadlock. Useful with NFS traffic. This option has no config file equivalent.

-t timeout
    Connect timeout Default is 30 seconds. This options is equivalent to the 'timeout' option of config file.

session
    Session name from the config file.

server
    Address of the server to connect to. Either IP address or domain name can be specified.

FILES

/etc/vtund.conf
    Main configuration file with sessions and other information. See vtund.conf example provided with distribution and vtund.conf(5) for more information.

/var/lock/vtund/
    Session lock files.

/var/log/vtund/
    Connection statistic log files.
    Format:
       Date Uncomp_In Uncomp_Out Comp_In Comp_Out

SIGNALS

SIGHUP
    Server mode: Causes vtund to reread the config file.
    Client mode: Causes vtund to reestablish the connection.

SIGUSR1
    This signal causes vtund to reset statistic counters.

SEE ALSO

vtund.conf(5)

NOTES

This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit. (http://www.openssl.org/)

AUTHORS
Maxim Krasnyansky <max_mk@yahoo.com>